OneSource Update: SQL 2008

OneSource Update: SQL 2008
April 8, 2020 Derek Marane

Due to Microsoft’s termination of support for SQL 2008, Horizon can no longer guarantee that OneSource upgrades will work in that environment. 

Please plan to upgrade the OneSource SQL server and all terminals to a newer version of SQL* before upgrading. 

This will not impact your ability to perform Summer Rollover. However, it will delay the upgrade until your SQL environment is current. 

*Server requires Standard or Enterprise edition. Terminals typically use SQL Express. 

 FAQs  

  • How can I tell what SQL version is running on my terminals? 
    • Click here to access our guide and script to run on your OneSource server. Call Customer Support for assistance as needed.  
  • What version of SQL should I upgrade to? 
    • For Terminals: OneSource is compatible with SQL 2012 or higher. 
    • For Servers: OneSource is compatible with SQL 2012 to SQL 2019, Standard or Enterprise. 
  • Will horizon upgrade SQL on my terminals? 
    • No, but we have created this guide to assist your IT team with the process.  
  • Can I still get support if I’m on my current version of OneSource? 
    • Yes, you will still be able to call support and get assistance. However, if your issue requires a code update to OneSource, you will not be able to receive a new build of OneSource with your update until you have upgraded your SQL environments.
  • Can I upgrade the server now and wait to upgrade the line machines? 
    • No. When OneSource is upgraded on the server, it automatically pushes the upgrade down to the sites.  
  • Can I upgrade later, when school is in session? 
    • Yes, but best practice would be to perform the upgrade on an off day.  
  • Can I roll back the upgrade if I discover I have SQL 2008 terminals after the fact? 
    • Upgrades cannot be rolled back 

If the server has been upgraded to the newest version of OneSource and terminals are not working because they have SQL 2008 installed, there are two options: 

  1. Upgrade SQL to a compatible SQL version on all terminals. 
  1. If upgrading SQL is not an option, we offer a Service to roll back to your original version. 

 

We wish you all a safe and healthy Summer. Please click here to access our guide

If you have any questions or concerns, please contact our Customer Support Team at 800.741.7100.

 

Kind Regards,

OneSource Product Team

0 Comments

Leave a reply

Your email address will not be published. Required fields are marked *

*